Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1665504 (qt5-qtnetworkauth) - Review Request: qt5-qtnetworkauth - Qt5 - NetworkAuth component
Summary: Review Request: qt5-qtnetworkauth - Qt5 - NetworkAuth component
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtnetworkauth
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews 1662172
TreeView+ depends on / blocked
 
Reported: 2019-01-11 15:36 UTC by Rex Dieter
Modified: 2019-02-20 03:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-20 02:37:08 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2019-01-11 15:36:32 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/qt5/qt5-qtnetworkauth.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/qt5/qt5-qtnetworkauth-5.11.3-1.fc28.src.rpm
Description: Qt5 - NetworkAuth component
Fedora Account System Username: rdieter

Relatively new Qt5 module

scratch build,
https://koji.fedoraproject.org/koji/taskinfo?taskID=31922001

Comment 1 Raphael Groner 2019-01-15 16:43:43 UTC
Maybe you could look into bug #1563831 for a review swap?

Comment 2 Robert-André Mauchin 2019-02-08 22:48:46 UTC
 - Add an explicit BR for gcc-c++



Package approved.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Free Documentation License", "GNU
     Free Documentation License (v1.3)", "BSD 3-clause "New" or "Revised"
     License", "GNU General Public License (v3 or later)", "GPL (v3)". 63
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/qt5-qtnetworkauth/review-
     qt5-qtnetworkauth/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/qt5/examples(qt5
     -qtxmlpatterns-examples, qt5-qt3d-examples, qt5-qtwebchannel-examples,
     qt5-qtserialbus-examples, qt5-qtwebsockets-examples, qt5-qtscript-
     examples, qt5-qtenginio-examples, qt5-qtconnectivity-examples, qt5
     -qtdeclarative-examples, qt5-qtspeech-examples, qt5-qtsensors-
     examples, qt5-qttools-examples, qt5-qtmultimedia-examples, qt5
     -qtdatavis3d-examples, qt5-qtserialport-examples, qt5-qtwebengine-
     examples, qt5-qtwebview-examples, qt5-qtcharts-examples, qt5
     -qtquickcontrols-examples, qt5-qtgamepad-examples, qt5-qtlocation-
     examples, qt5-qtvirtualkeyboard-examples, qt5-qtremoteobjects-
     examples, qt5-qtscxml-examples, qt5-qtsvg-examples, qt5-qtbase-
     examples)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qt5
     -qtnetworkauth-debuginfo , qt5-qtnetworkauth-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qt5-qtnetworkauth-5.11.3-1.fc30.x86_64.rpm
          qt5-qtnetworkauth-devel-5.11.3-1.fc30.x86_64.rpm
          qt5-qtnetworkauth-examples-5.11.3-1.fc30.x86_64.rpm
          qt5-qtnetworkauth-debuginfo-5.11.3-1.fc30.x86_64.rpm
          qt5-qtnetworkauth-debugsource-5.11.3-1.fc30.x86_64.rpm
          qt5-qtnetworkauth-5.11.3-1.fc30.src.rpm
qt5-qtnetworkauth.x86_64: W: no-documentation
qt5-qtnetworkauth-devel.x86_64: W: no-documentation
qt5-qtnetworkauth-examples.x86_64: W: no-documentation
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/redditclient/main.cpp
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/redditclient/redditmodel.cpp
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/redditclient/redditmodel.h
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/redditclient/redditwrapper.cpp
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/redditclient/redditwrapper.h
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/twittertimeline/main.cpp
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/twittertimeline/twitter.cpp
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/twittertimeline/twitter.h
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/twittertimeline/twittertimelinemodel.cpp
qt5-qtnetworkauth-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/oauth/twittertimeline/twittertimelinemodel.h
6 packages and 0 specfiles checked; 0 errors, 13 warnings.

Comment 3 Rex Dieter 2019-02-10 13:58:31 UTC
thanks!

Comment 4 Rex Dieter 2019-02-10 14:05:53 UTC
repo requested:
https://pagure.io/releng/fedora-scm-requests/issue/9636
(as well as branches in followup tickets)

Comment 5 Igor Gnatenko 2019-02-10 14:52:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qt5-qtnetworkauth

Comment 6 Fedora Update System 2019-02-11 15:47:22 UTC
qt5-qtnetworkauth-5.11.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8e84e319e2

Comment 7 Fedora Update System 2019-02-11 15:48:15 UTC
qt5-qtnetworkauth-5.11.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-56acadeac9

Comment 8 Fedora Update System 2019-02-12 02:06:40 UTC
qt5-qtnetworkauth-5.11.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-56acadeac9

Comment 9 Fedora Update System 2019-02-12 02:50:13 UTC
qt5-qtnetworkauth-5.11.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8e84e319e2

Comment 10 Fedora Update System 2019-02-20 02:37:08 UTC
qt5-qtnetworkauth-5.11.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-02-20 03:05:11 UTC
qt5-qtnetworkauth-5.11.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.